petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecHIPRestoreArrayRead

Restore a HIP device pointer previously acquired with VecHIPGetArrayRead().

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecHIPRestoreArrayRead(Vec v, const PetscScalar **a)

If the data on the host side was previously up to date it will remain so, i.e. data on both the device and the host is up to date. Accessing data on the host side e.g. with VecGetArray() does not incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the HIP device pointer. This pointer is invalid after VecHIPRestoreArrayRead() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecHIPGetArrayRead(), VecHIPGetArrayWrite(), VecHIPGetArray(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages